OpenJPH: ojph::point Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::point Struct Reference

`#include <ojph_base.h>`

## Public Member Functions
| point (ui32 x=0, ui32 y=0)

## Public Attributes
ui32 | x
ui32 | y

## Detailed Description

Definition at line 57 of file ojph_base.h.

## Constructor & Destructor Documentation

## ◆ point()

ojph::point::point | ( | ui32 | x = 0,
|  | ui32 | y = 0 )
| inlineexplicit

Definition at line 59 of file ojph_base.h.

References x, and y.

## Member Data Documentation

## ◆ x

ui32 ojph::point::x

Definition at line 60 of file ojph_base.h.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), ojph::local::param_cod::check_validity(), ojph::local::codestream::finalize_alloc(), ojph::local::resolution::finalize_alloc(), ojph::local::tile::finalize_alloc(), find_mse_pae(), find_nlt_mse_pae(), ojph::local::tile::flush(), ojph::local::subband::get_cb_indices(), get_j2c_downsampling_x(), ojph::local::param_siz::get_recon_downsampling(), ojph::local::param_siz::get_recon_size(), ojph::local::param_siz::get_recon_width(), ojph::local::param_dfs::get_res_downsamp(), LLVMFuzzerTestOneInput(), load_yuv(), main(), ojph::rect::operator==(), ojph::local::tile::parse_tile_header(), point(), ojph::local::codestream::pre_alloc(), ojph::local::resolution::pre_alloc(), ojph::local::tile::pre_alloc(), ojph::local::param_siz::set_comp_info(), ojph::local::param_siz::set_image_extent(), ojph::local::param_siz::set_image_offset(), ojph::local::param_siz::set_tile_offset(), and ojph::local::codestream::write_headers().

## ◆ y

ui32 ojph::point::y

Definition at line 60 of file ojph_base.h.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), ojph::local::param_cod::check_validity(), ojph::local::codestream::finalize_alloc(), ojph::local::resolution::finalize_alloc(), ojph::local::tile::finalize_alloc(), ojph::local::tile::flush(), ojph::local::subband::get_cb_indices(), get_j2c_downsampling_y(), ojph::local::param_siz::get_recon_downsampling(), ojph::local::param_siz::get_recon_height(), ojph::local::param_siz::get_recon_size(), ojph::local::param_dfs::get_res_downsamp(), LLVMFuzzerTestOneInput(), load_yuv(), main(), ojph::rect::operator==(), ojph::local::tile::parse_tile_header(), point(), ojph::local::codestream::pre_alloc(), ojph::local::resolution::pre_alloc(), ojph::local::tile::pre_alloc(), ojph::local::param_siz::set_comp_info(), ojph::local::param_siz::set_image_extent(), ojph::local::param_siz::set_image_offset(), ojph::local::param_siz::set_tile_offset(), and ojph::local::codestream::write_headers().

The documentation for this struct was generated from the following file:

- /build/openjph/src/OpenJPH/src/core/openjph/ojph_base.h